IP
IP address lookup empowers with vital information about the origin, behavior, and geolocation of internet traffic. By analyzing IP addresses, this tool enhances network security, facilitates geotargeting strategies, and enables informed decision-making in various online activities.
ip_lookup
POST https://secctrl.tutelar.io/api/v2/services/business_profile/ip_lookup
Header
Name
Value
Content-Type
application/json
Authorization
Bearer eyJhbGciOiJ.....
Post parameters description is given below,
Body
Type
Mandatory
Description
ip_address
String
Yes
IP Address
Sample Request Body
{
"ip_address": "255.255.0.0"
}{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "007be974-a37c-4dc9-a39f-0cfd17452840",
"status": "completed",
"result": {
"city": {
"geo_id": 1264527,
"name": "Chennai"
},
"continent": {
"geo_id": 6255147,
"code": "AS",
"name": "Asia"
},
"country": {
"geo_id": 1269750,
"iso_code": "IN",
"name": "India"
},
"location": {
"accuracy_radius": 5,
"latitude": 12.8996,
"longitude": 80.2209,
"time_zone": "Asia/Kolkata"
},
"postal_code": "600002",
"registered_country": {
"geo_id": 1269750,
"iso_code": "IN",
"name": "India"
},
"subdivisions": [
{
"geo_id": 1255053,
"iso_code": "TN",
"name": "Tamil Nadu"
}
]
},
"requested_at": "2024-03-14T11:09:20.804Z",
"completed_at": "2024-03-14T11:09:21.213Z"
}Last updated